=== libs/Makefile ===

DISTFILES = $(wildcard *.liq) Makefile

top_srcdir = ..
include $(top_srcdir)/Makefile.rules
