=== src/conversions/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules
