=== src/converters/Makefile ===
SUBDIRS = audio video
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules
