=== debian/changelog ===
liquidsoap (1.4.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 10:25:40 +0100

liquidsoap (1.4.1-1) unstable; urgency=medium

  * Install bash completions into packaging dir (Closes: #945246)
  * New upstream version 1.4.1
  * Bump Standards-Version to 4.5.0 (No change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 22 Jan 2020 14:04:09 +0200

liquidsoap (1.4.0-1) unstable; urgency=medium

  * Ignore bundled releases in watch file
  * New upstream version 1.4.0 (Closes: #939580)
  * Update dependencies
  * Refresh patches
  * Use local copy of language.dtd file
  * Add patch to work around missing upstream files
  * Update install files for new release
  * Remove rpath from binary
  * Bump Standards-Version to 4.4.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 11 Nov 2019 09:27:17 +0200
