=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: chrpath,
               debhelper (>= 11),
               debhelper-compat (=12),
               dh-elpa,
               dh-ocaml (>= 1.0.1),
               festival,
               fonts-liberation,
               pandoc,
               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
               libao-ocaml-dev (>= 0.2.0),
               libbjack-ocaml-dev (>= 0.1.3),
               libcamlimages-ocaml-dev (>= 4.0.1-6),
               libcamomile-ocaml-dev (>= 1.0.0),
               libcry-ocaml-dev (>= 0.6.0),
               libdtools-ocaml-dev (>= 0.4.1),
               libduppy-ocaml-dev (>= 0.8.0),
               libfaad-ocaml-dev (>= 0.4.0),
               libffmpeg-ocaml-dev (>= 0.2.),
               libflac-ocaml-dev (>= 0.1.5),
               libfrei0r-ocaml-dev (>= 0.1.0),
               libgavl-ocaml-dev (>= 0.1.4),
               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
               libssl-ocaml-dev (>= 0.5.2),
               libgstreamer-ocaml-dev (>= 0.3.0),
               libinotify-ocaml-dev (>= 1.0) [linux-any],
               libladspa-ocaml-dev (>= 0.1.4),
               liblastfm-ocaml-dev (>= 0.3.0),
               liblo-ocaml-dev (>= 0.1.2),
               libmad-ocaml-dev (>= 0.1.4),
               libmagic-ocaml-dev (>= 0.6),
               libmenhir-ocaml-dev,
               libmm-ocaml-dev (>= 0.5.0),
               libmp3lame-ocaml-dev (>= 0.3.2),
               libogg-ocaml-dev (>= 0.5.0),
               libopus-ocaml-dev (>= 0.1.3),
               libpcre-ocaml-dev,
               libportaudio-ocaml-dev (>= 0.2.0),
               libpulse-ocaml-dev (>= 0.1.2),
               libsamplerate-ocaml-dev (>= 0.1.1),
               libsdl-ocaml-dev,
               libsedlex-ocaml-dev (>= 2.0),
               libshine-ocaml-dev (>= 0.2.0),
               libsoundtouch-ocaml-dev (>= 0.1.7),
               libspeex-ocaml-dev (>= 0.2.1),
               libtaglib-ocaml-dev (>= 0.3.0),
               libtheora-ocaml-dev (>= 0.3.1),
               libvoaacenc-ocaml-dev,
               libvorbis-ocaml-dev (>= 0.7.0),
               libxml-dom-perl,
               libxmlplaylist-ocaml-dev (>= 0.1.3),
               libyojson-ocaml-dev,
               menhir,
               ocaml-findlib,
               ocaml-nox (>= 4.08),
               sox
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends: adduser,
         curl,
         libcamomile-ocaml-data (>= 1.0.0),
         ocaml-base-nox,
         sox,
         ${misc:Depends},
         ${ocaml:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: logrotate, vorbis-tools, vorbisgain
Suggests: festival, icecast2, mplayer, youtube-dl
Provides: ${ocaml:Provides}
Replaces: liquidsoap-plugin-all,
          liquidsoap-plugin-alsa [linux-any],
          liquidsoap-plugin-ao,
          liquidsoap-plugin-camlimages,
          liquidsoap-plugin-dssi,
          liquidsoap-plugin-faad,
          liquidsoap-plugin-flac,
          liquidsoap-plugin-frei0r,
          liquidsoap-plugin-gavl,
          liquidsoap-plugin-gd,
          liquidsoap-plugin-graphics,
          liquidsoap-plugin-gstreamer,
          liquidsoap-plugin-icecast,
          liquidsoap-plugin-jack,
          liquidsoap-plugin-ladspa,
          liquidsoap-plugin-lame,
          liquidsoap-plugin-lastfm,
          liquidsoap-plugin-lo,
          liquidsoap-plugin-mad,
          liquidsoap-plugin-ogg,
          liquidsoap-plugin-opus,
          liquidsoap-plugin-oss,
          liquidsoap-plugin-portaudio,
          liquidsoap-plugin-pulseaudio,
          liquidsoap-plugin-samplerate,
          liquidsoap-plugin-schroedinger,
          liquidsoap-plugin-sdl,
          liquidsoap-plugin-shine,
          liquidsoap-plugin-soundtouch,
          liquidsoap-plugin-speex,
          liquidsoap-plugin-taglib,
          liquidsoap-plugin-theora,
          liquidsoap-plugin-voaacenc,
          liquidsoap-plugin-vorbis,
          liquidsoap-plugin-xmlplaylist
Breaks: liquidsoap-plugin-all,
        liquidsoap-plugin-alsa [linux-any],
        liquidsoap-plugin-ao,
        liquidsoap-plugin-camlimages,
        liquidsoap-plugin-dssi,
        liquidsoap-plugin-faad,
        liquidsoap-plugin-flac,
        liquidsoap-plugin-frei0r,
        liquidsoap-plugin-gavl,
        liquidsoap-plugin-gd,
        liquidsoap-plugin-graphics,
        liquidsoap-plugin-gstreamer,
        liquidsoap-plugin-icecast,
        liquidsoap-plugin-jack,
        liquidsoap-plugin-ladspa,
        liquidsoap-plugin-lame,
        liquidsoap-plugin-lastfm,
        liquidsoap-plugin-lo,
        liquidsoap-plugin-mad,
        liquidsoap-plugin-ogg,
        liquidsoap-plugin-opus,
        liquidsoap-plugin-oss,
        liquidsoap-plugin-portaudio,
        liquidsoap-plugin-pulseaudio,
        liquidsoap-plugin-samplerate,
        liquidsoap-plugin-schroedinger,
        liquidsoap-plugin-sdl,
        liquidsoap-plugin-shine,
        liquidsoap-plugin-soundtouch,
        liquidsoap-plugin-speex,
        liquidsoap-plugin-taglib,
        liquidsoap-plugin-theora,
        liquidsoap-plugin-voaacenc,
        liquidsoap-plugin-vorbis,
        liquidsoap-plugin-xmlplaylist
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Recommends: emacs (>= 46.0)
Suggests: liquidsoap
Enhances: emacs, emacs24, emacs25
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.
