## liquidsoap 1.4.2

=== debian/changelog ===
liquidsoap (1.4.2-1) unstable; urgency=low

  * Link pervasive libraries into expected directory
    (Closes: #956564, LP: #1875414)
  * New upstream version 1.4.2

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 22 May 2020 12:12:19 +0200
