=== doc/content/Makefile ===
DISTFILES = $(wildcard *.md) $(wildcard *.md.in) Makefile 

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules
