=== debian/changelog ===
liquidsoap (1.4.3-3) unstable; urgency=medium

  * Fix pervasive libraries symlink (Closes: 991332)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 21 Jul 2021 16:18:07 +0200

liquidsoap (1.4.3-2) unstable; urgency=medium

  * Set BYTE install correctly (Closes: #972272)
  * Fix FTBFS type error (Closes: #976355)
  * Bump standards-version to 4.5.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 22 Dec 2020 09:17:12 +0200

liquidsoap (1.4.3-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 1.4.3
  * Fix compilation with ocaml-alsa 0.3.0
  * Bump dh-compat to 13

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 05 Oct 2020 17:46:58 +0200
