=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: chrpath,
                debhelper (>= 11),
-               debhelper-compat (=12),
+               debhelper-compat (=13),
                dh-elpa,
                dh-ocaml (>= 1.0.1),
                festival,
@@ -58,7 +58,7 @@
                ocaml-findlib,
                ocaml-nox (>= 4.08),
                sox
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: http://savonet.sourceforge.net/
