=== debian/watch ===
version=4
opts=compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .download*/v?[\d.]+/liquidsoap.([\d.]+).tar.bz2
