=== src/Makefile ===
--- 
+++ 
@@ -258,7 +258,7 @@
 
 install-local: all-auto
 	$(INSTALL) -d $(bindir)
-	$(INSTALL_PROGRAM) liquidsoap $(bindir)
+	$(INSTALL_PROGRAM) liquidsoap$(EXEEXT) $(bindir)
 ifneq ($(BYTE),)
   ifneq ($(NO_CUSTOM),)
 	$(OCAMLFIND) install liquidsoap META dllliquidsoap.so $(wildcard plugins/dll*.so)
