=== debian/changelog ===
liquidsoap (1.4.4-1) unstable; urgency=low

  * Update watchfile
  * New upstream version 1.4.4
  * Update pervasive library links
  * Upstream moved homepage location
  * Drop Breaks/Replaces for Bookworm

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 15 Aug 2021 08:18:42 +0200
