=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
-Homepage: http://savonet.sourceforge.net/
+Homepage: https://www.liquidsoap.info/
 
 Package: liquidsoap
 Architecture: any
@@ -77,76 +77,6 @@
 Recommends: logrotate, vorbis-tools, vorbisgain
 Suggests: festival, icecast2, mplayer, youtube-dl
 Provides: ${ocaml:Provides}
-Replaces: liquidsoap-plugin-all,
-          liquidsoap-plugin-alsa [linux-any],
-          liquidsoap-plugin-ao,
-          liquidsoap-plugin-camlimages,
-          liquidsoap-plugin-dssi,
-          liquidsoap-plugin-faad,
-          liquidsoap-plugin-flac,
-          liquidsoap-plugin-frei0r,
-          liquidsoap-plugin-gavl,
-          liquidsoap-plugin-gd,
-          liquidsoap-plugin-graphics,
-          liquidsoap-plugin-gstreamer,
-          liquidsoap-plugin-icecast,
-          liquidsoap-plugin-jack,
-          liquidsoap-plugin-ladspa,
-          liquidsoap-plugin-lame,
-          liquidsoap-plugin-lastfm,
-          liquidsoap-plugin-lo,
-          liquidsoap-plugin-mad,
-          liquidsoap-plugin-ogg,
-          liquidsoap-plugin-opus,
-          liquidsoap-plugin-oss,
-          liquidsoap-plugin-portaudio,
-          liquidsoap-plugin-pulseaudio,
-          liquidsoap-plugin-samplerate,
-          liquidsoap-plugin-schroedinger,
-          liquidsoap-plugin-sdl,
-          liquidsoap-plugin-shine,
-          liquidsoap-plugin-soundtouch,
-          liquidsoap-plugin-speex,
-          liquidsoap-plugin-taglib,
-          liquidsoap-plugin-theora,
-          liquidsoap-plugin-voaacenc,
-          liquidsoap-plugin-vorbis,
-          liquidsoap-plugin-xmlplaylist
-Breaks: liquidsoap-plugin-all,
-        liquidsoap-plugin-alsa [linux-any],
-        liquidsoap-plugin-ao,
-        liquidsoap-plugin-camlimages,
-        liquidsoap-plugin-dssi,
-        liquidsoap-plugin-faad,
-        liquidsoap-plugin-flac,
-        liquidsoap-plugin-frei0r,
-        liquidsoap-plugin-gavl,
-        liquidsoap-plugin-gd,
-        liquidsoap-plugin-graphics,
-        liquidsoap-plugin-gstreamer,
-        liquidsoap-plugin-icecast,
-        liquidsoap-plugin-jack,
-        liquidsoap-plugin-ladspa,
-        liquidsoap-plugin-lame,
-        liquidsoap-plugin-lastfm,
-        liquidsoap-plugin-lo,
-        liquidsoap-plugin-mad,
-        liquidsoap-plugin-ogg,
-        liquidsoap-plugin-opus,
-        liquidsoap-plugin-oss,
-        liquidsoap-plugin-portaudio,
-        liquidsoap-plugin-pulseaudio,
-        liquidsoap-plugin-samplerate,
-        liquidsoap-plugin-schroedinger,
-        liquidsoap-plugin-sdl,
-        liquidsoap-plugin-shine,
-        liquidsoap-plugin-soundtouch,
-        liquidsoap-plugin-speex,
-        liquidsoap-plugin-taglib,
-        liquidsoap-plugin-theora,
-        liquidsoap-plugin-voaacenc,
-        liquidsoap-plugin-vorbis,
-        liquidsoap-plugin-xmlplaylist
 Description: audio streaming language
  Liquidsoap is a powerful tool for building complex audio streaming systems,
  typically targeting internet radios (e.g. icecast streams).
